> For the complete documentation index, see [llms.txt](https://docs.feast.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.feast.dev/v0.28-branch/reference/feature-repository/feast-ignore.md).

# .feastignore

## Overview

`.feastignore` is a file that is placed at the root of the [Feature Repository](/v0.28-branch/reference/feature-repository.md). This file contains paths that should be ignored when running `feast apply`. An example `.feastignore` is shown below:

{% code title=".feastignore" %}

```
# Ignore virtual environment
venv

# Ignore a specific Python file
scripts/foo.py

# Ignore all Python files directly under scripts directory
scripts/*.py

# Ignore all "foo.py" anywhere under scripts directory
scripts/**/foo.py
```

{% endcode %}

`.feastignore` file is optional. If the file can not be found, every Python file in the feature repo directory will be parsed by `feast apply`.

## Feast Ignore Patterns

| Pattern             | Example matches                                                 | Explanation                                                                                                              |
| ------------------- | --------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| venv                | <p>venv/foo.py<br>venv/a/foo.py</p>                             | You can specify a path to a specific directory. Everything in that directory will be ignored.                            |
| scripts/foo.py      | scripts/foo.py                                                  | You can specify a path to a specific file. Only that file will be ignored.                                               |
| scripts/\*.py       | <p>scripts/foo.py<br>scripts/bar.py</p>                         | You can specify an asterisk (\*) anywhere in the expression. An asterisk matches zero or more characters, except "/".    |
| scripts/\*\*/foo.py | <p>scripts/foo.py<br>scripts/a/foo.py<br>scripts/a/b/foo.py</p> | You can specify a double asterisk (\*\*) anywhere in the expression. A double asterisk matches zero or more directories. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.feast.dev/v0.28-branch/reference/feature-repository/feast-ignore.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
